---
apiVersion: "v1"
items:
- apiVersion: "v1"
  imagePullSecrets: []
  kind: "ServiceAccount"
  metadata:
    annotations: {}
    labels: {}
    name: "ribbon"
  secrets: []
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      servicepath: "/hello"
    labels:
      hystrix.enabled: "true"
      hystrix.cluster: "default"
      provider: "fabric8"
      project: "hystrix"
      version: "2.2.112"
      group: "io.fabric8.quickstarts"
    name: "hystrix"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      hystrix.enabled: "true"
      project: "hystrix"
      hystrix.cluster: "default"
      provider: "fabric8"
      group: "io.fabric8.quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.112"
      fabric8.io/git-commit: "e720dbc5108b81c3d00537c27542566b7b58cc62"
      fabric8.io/build-id: "1"
    labels:
      hystrix.enabled: "true"
      hystrix.cluster: "default"
      provider: "fabric8"
      project: "hystrix"
      version: "2.2.112"
      group: "io.fabric8.quickstarts"
    name: "hystrix"
  spec:
    replicas: 1
    selector:
      hystrix.enabled: "true"
      hystrix.cluster: "default"
      provider: "fabric8"
      project: "hystrix"
      version: "2.2.112"
      group: "io.fabric8.quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          hystrix.enabled: "true"
          hystrix.cluster: "default"
          provider: "fabric8"
          project: "hystrix"
          version: "2.2.112"
          group: "io.fabric8.quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/hystrix:2.2.112"
          name: "hystrix"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        serviceAccountName: "ribbon"
        volumes: []
kind: "List"
